<?xml version="1.0" encoding="utf-8"?>
<LinearLayout android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <include layout="@layout/app_toolbar" />
    <ScrollView android:layout_width="fill_parent" android:layout_height="fill_parent">
        <LinearLayout android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="wrap_content" android:divider="@drawable/horizontal_divider" android:showDividers="beginning|end|middle">
            <LinearLayout android:orientation="horizontal" android:id="@id/allow_gestures_switch_group" android:background="?selectableItemBackground" android:layout_width="fill_parent" android:layout_height="wrap_content">
                <ImageView android:id="@id/icon_gesture" android:src="@drawable/icon_settings_gestures" android:onClick="onAllowGesturesClick" style="@style/app_icon" />
                <Switch android:textSize="@dimen/H2_font_size" android:gravity="center_vertical" android:id="@id/allow_gestures_switch" android:layout_width="fill_parent" android:layout_height="fill_parent" android:layout_marginRight="@dimen/outer_margin" android:checked="true" android:text="@string/gestures" android:layout_marginEnd="@dimen/outer_margin" />
            </LinearLayout>
            <LinearLayout android:orientation="vertical" android:id="@id/allow_gestures_group" android:background="?selectableItemBackground" android:layout_width="fill_parent" android:layout_height="wrap_content">
                <TextView android:id="@id/gestures_switch_desc" android:layout_marginTop="12.0dip" android:text="@string/allow_gestures_description" style="@style/glance_description" />
                <Button android:textSize="14.0sp" android:id="@id/btn_learn_more" android:layout_marginBottom="16.0dip" android:text="@string/learn_more" android:onClick="onLearnMoreClick" style="@style/blue_text_button" />
            </LinearLayout>
            <RelativeLayout android:background="?selectableItemBackground" android:layout_width="wrap_content" android:layout_height="wrap_content">
                <Switch android:id="@id/smart_suggestions_switch" android:padding="@dimen/outer_margin" android:layout_width="wrap_content" android:layout_alignParentRight="true" android:layout_centerVertical="true" android:layout_alignParentEnd="true" style="@style/setting_switch" />
                <TextView android:textSize="@dimen/Body1_font_size" android:id="@id/smart_suggestions_title" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/outer_margin" android:layout_marginTop="@dimen/outer_margin" android:layout_marginRight="@dimen/outer_margin" android:layout_marginBottom="6.0dip" android:text="@string/settings_general_smart_suggestions_title" android:layout_toLeftOf="@id/smart_suggestions_switch" android:layout_alignParentLeft="true" android:onClick="onSmartSuggestionsClick" android:layout_toStartOf="@id/smart_suggestions_switch" android:layout_alignParentStart="true" style="@style/H2Black" />
                <TextView android:textSize="@dimen/Body2_font_size" android:id="@id/settings_general_smart_suggestions_desc" android:paddingLeft="@dimen/outer_margin" android:paddingBottom="13.0dip" android:layout_margin="0.0dip" android:text="@string/settings_general_smart_suggestions_desc" android:layout_toLeftOf="@id/smart_suggestions_switch" android:layout_below="@id/smart_suggestions_title" android:layout_alignParentLeft="true" android:onClick="onSmartSuggestionsClick" android:paddingStart="@dimen/outer_margin" android:layout_toStartOf="@id/smart_suggestions_switch" android:layout_alignParentStart="true" style="@style/setting_list_item_description" />
            </RelativeLayout>
            <RelativeLayout android:background="?selectableItemBackground" android:layout_width="wrap_content" android:layout_height="wrap_content">
                <Switch android:id="@id/limit_cell_data_switch" android:padding="@dimen/outer_margin" android:layout_width="wrap_content" android:layout_alignParentRight="true" android:layout_centerVertical="true" android:layout_alignParentEnd="true" style="@style/setting_switch" />
                <TextView android:textSize="@dimen/Body1_font_size" android:id="@id/limit_cell_data_title" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/outer_margin" android:layout_marginTop="@dimen/outer_margin" android:layout_marginRight="@dimen/outer_margin" android:layout_marginBottom="6.0dip" android:text="@string/settings_general_limit_cell_data_title" android:layout_toLeftOf="@id/limit_cell_data_switch" android:layout_alignParentLeft="true" android:onClick="onLimitCellularDataClick" android:layout_toStartOf="@id/limit_cell_data_switch" android:layout_alignParentStart="true" style="@style/H2Black" />
                <TextView android:textSize="@dimen/Body2_font_size" android:id="@id/settings_general_limit_cell_data_desc" android:paddingLeft="@dimen/outer_margin" android:paddingBottom="13.0dip" android:layout_margin="0.0dip" android:text="@string/settings_general_limit_cell_data_desc" android:layout_toLeftOf="@id/limit_cell_data_switch" android:layout_below="@id/limit_cell_data_title" android:layout_alignParentLeft="true" android:onClick="onLimitCellularDataClick" android:paddingStart="@dimen/outer_margin" android:layout_toStartOf="@id/limit_cell_data_switch" android:layout_alignParentStart="true" style="@style/setting_list_item_description" />
            </RelativeLayout>
            <TextView android:id="@id/unit_system" android:text="@string/settings_navigation_units" style="@style/setting_title" />
            <RadioGroup android:id="@id/unit_system_group" style="@style/setting_radio_button_group">
                <RadioButton android:id="@id/unit_system_metric" android:text="@string/settings_general_unit_system_metric" style="@style/setting_radio_button_on_the_right" />
                <RadioButton android:id="@id/unit_system_imperial" android:text="@string/settings_general_unit_system_imperial" style="@style/setting_radio_button_on_the_right" />
            </RadioGroup>
            <TextView android:id="@id/dial_long_press" android:text="@string/settings_dial_long_press" style="@style/setting_title" />
            <RadioGroup android:id="@id/dial_long_press_group" style="@style/setting_radio_button_group">
                <RadioButton android:id="@id/dial_long_press_google_now" android:text="@string/settings_general_dial_long_press_google_now" style="@style/setting_radio_button_on_the_right" />
                <RadioButton android:id="@id/dial_long_press_place_search" android:text="@string/settings_general_dial_long_press_place_search" style="@style/setting_radio_button_on_the_right" />
            </RadioGroup>
            <TextView android:id="@id/dial_long_press_desc" android:layout_marginTop="12.0dip" android:text="@string/dial_long_press_desc" style="@style/glance_description" />
        </LinearLayout>
    </ScrollView>
</LinearLayout>